[**@rxap/authorization v19.0.2-dev.1**](../README.md)

***

[@rxap/authorization](../globals.md) / FormControlHasEnablePermissionDirective

# Class: FormControlHasEnablePermissionDirective

Defined in: [form-control-has-enable-permission.directive.ts:21](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/form-control-has-enable-permission.directive.ts#L21)

## Extends

- [`HasEnablePermission`](HasEnablePermission.md)

## Constructors

### new FormControlHasEnablePermissionDirective()

> **new FormControlHasEnablePermissionDirective**(`authorization`, `cdr`, `scope`, `valueAccessor`, `ngControl`): [`FormControlHasEnablePermissionDirective`](FormControlHasEnablePermissionDirective.md)

Defined in: [form-control-has-enable-permission.directive.ts:27](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/form-control-has-enable-permission.directive.ts#L27)

#### Parameters

##### authorization

[`AuthorizationService`](AuthorizationService.md)

##### cdr

`ChangeDetectorRef`

##### scope

`string`

##### valueAccessor

`null` | `ControlValueAccessor`[]

##### ngControl

`NgControl`

#### Returns

[`FormControlHasEnablePermissionDirective`](FormControlHasEnablePermissionDirective.md)

#### Overrides

[`HasEnablePermission`](HasEnablePermission.md).[`constructor`](HasEnablePermission.md#constructors)

## Properties

### cdr

> `protected` `readonly` **cdr**: `ChangeDetectorRef`

Defined in: [has-enable-permission.ts:28](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/has-enable-permission.ts#L28)

#### Inherited from

[`HasEnablePermission`](HasEnablePermission.md).[`cdr`](HasEnablePermission.md#cdr-1)

***

### identifier

> **identifier**: `string`

Defined in: [form-control-has-enable-permission.directive.ts:25](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/form-control-has-enable-permission.directive.ts#L25)

#### Overrides

[`HasEnablePermission`](HasEnablePermission.md).[`identifier`](HasEnablePermission.md#identifier)

## Methods

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [has-enable-permission.ts:60](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/has-enable-permission.ts#L60)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Inherited from

[`HasEnablePermission`](HasEnablePermission.md).[`ngOnDestroy`](HasEnablePermission.md#ngondestroy)

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [has-enable-permission.ts:39](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/has-enable-permission.ts#L39)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Inherited from

[`HasEnablePermission`](HasEnablePermission.md).[`ngOnInit`](HasEnablePermission.md#ngoninit)

***

### setDisabled()

> **setDisabled**(`disabled`): `void`

Defined in: [form-control-has-enable-permission.directive.ts:44](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/form-control-has-enable-permission.directive.ts#L44)

#### Parameters

##### disabled

`boolean`

#### Returns

`void`

#### Overrides

[`HasEnablePermission`](HasEnablePermission.md).[`setDisabled`](HasEnablePermission.md#setdisabled)
